inputs: { config, lib, pkgs, ... }:
let
  cfg = config.services.dyn-gandi;
  inherit (lib) mkIf mkEnableOption;
  #package = inputs.self.packages.${pkgs.stdenv.hostPlatform.system}.default;
in {

  options.services.dyn-gandi = {
    enable = mkEnableOption null;
  };

  config = mkIf cfg.enable {
    environment.systemPackages = [ cfg.package ];
  }

}